Subject: bug#46374: 28.0.50; Ask me to save buffers only if they are under callers dir

From: Tino Calancha <[email-masked]>
Date: Wed, 28 Apr 2021 22:35:02 +0200

Juri Linkov <[email-masked]> writes:

> (defun save-some-buffers-fun ()
>   (funcall save-some-buffers-default-predicate))
>
> I see a problem in save-some-buffers-fun: what if
> save-some-buffers-default-predicate is still customized to nil?
I assumed we were OK with the backward incompatible change; I mean,
with requiring from now on `save-some-buffers-default-predicate'
to be a function generating the predicate.

> This value is currently allowed.  It seems it should check
> if it's a function, then call it.  Also needs to check if the function
> doesn't return another lambda, then return its original value.
We can do that; but it seems to me that the spirit of the FIXME comment
is in the line to not accept `nil' as a valid value, just functions.

BYW, thanks for testing the patch.